From: Sophie Brun <sophie@offensive-security.com>
Date: Fri, 25 Jun 2021 10:32:08 +0200
Subject: Fix multiple declarations

---
 src/Common/CpuCore.c |  2 +-
 src/Main/Core.c      | 30 ++++++++++++++++++++++++++++++
 src/Main/Core.h      | 28 ++++++++++++++--------------
 3 files changed, 45 insertions(+), 15 deletions(-)

diff --git a/src/Common/CpuCore.c b/src/Common/CpuCore.c
index f5744ff..1a86628 100644
--- a/src/Common/CpuCore.c
+++ b/src/Common/CpuCore.c
@@ -34,7 +34,7 @@
 #include "Core.h"
 #include "CpuCore.h"
 #include "Pkcs5.h"
-#include "CpuAes.h"
+/*#include "CpuAes.h"*/
 
 #include "Serpent.h"
 #include "Twofish.h"
diff --git a/src/Main/Core.c b/src/Main/Core.c
index e3e7bf7..bb9b800 100644
--- a/src/Main/Core.c
+++ b/src/Main/Core.c
@@ -30,6 +30,36 @@
 #include "CpuCore.h"
 #endif
 
+/* The name of the file of words */
+char *CORE_wordsPath;
+/* The name of the file of truecrypt volume */
+char *CORE_volumePath;
+/* The charset string */
+unsigned char *CORE_charset;
+/*The max length of words generated from charset */
+int CORE_maxlength;
+/*The min length of words generated from charset */
+int CORE_minlength;
+/* The type of attack */
+int CORE_typeAttack;
+/* Size of the block of parallel words*/
+int CORE_blocksize;
+/* Whether to display verbose messages. */
+int CORE_verbose;
+/* Key derivation function. */
+int CORE_keyDerivationFunction;
+/* Restore point */
+long int CORE_restore;
+/* Backup header */
+int CORE_backup;
+/* Hidden volume */
+int CORE_hidden;
+/* Encryption Algorithm */
+int CORE_encryptionAlgorithm;
+/* Prefix string */
+unsigned char *CORE_prefix;
+
+
 /* Buffer with header */
 char header[512]={0};
 int header_length;
diff --git a/src/Main/Core.h b/src/Main/Core.h
index bb4a839..9e8d07f 100644
--- a/src/Main/Core.h
+++ b/src/Main/Core.h
@@ -36,33 +36,33 @@ enum {
 };
 
 /* The name of the file of words */
-char *CORE_wordsPath;
+extern char *CORE_wordsPath;
 /* The name of the file of truecrypt volume */
-char *CORE_volumePath;
+extern char *CORE_volumePath;
 /* The charset string */
-unsigned char *CORE_charset;
+extern unsigned char *CORE_charset;
 /*The max length of words generated from charset */
-int CORE_maxlength;
+extern int CORE_maxlength;
 /*The min length of words generated from charset */
-int CORE_minlength;
+extern int CORE_minlength;
 /* The type of attack */
-int CORE_typeAttack;
+extern int CORE_typeAttack;
 /* Size of the block of parallel words*/
-int CORE_blocksize;
+extern int CORE_blocksize;
 /* Whether to display verbose messages. */
-int CORE_verbose;
+extern int CORE_verbose;
 /* Key derivation function. */
-int CORE_keyDerivationFunction;
+extern int CORE_keyDerivationFunction;
 /* Restore point */
-long int CORE_restore;
+extern long int CORE_restore;
 /* Backup header */
-int CORE_backup;
+extern int CORE_backup;
 /* Hidden volume */
-int CORE_hidden;
+extern int CORE_hidden;
 /* Encryption Algorithm */
-int CORE_encryptionAlgorithm;
+extern int CORE_encryptionAlgorithm;
 /* Prefix string */
-unsigned char *CORE_prefix;
+extern unsigned char *CORE_prefix;
 /* Main function */
 void core(void);
 
